> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/appendices/appendix-e-concept-enumerations/e6-concept-enumerations-for-modifierid.md).

# E.6 Concept Enumerations for modifierId

This concept enumeration represents a value that can be applied to the relationship. modifierId field. This is used to indicate the type of Description Logic (DL) restriction (some, all, etc.) that applies to the relationship. The Table below shows the current set of values for this concept enumeration.

**Modifier (core metadata concept) (900000000000450001)**

<table data-full-width="true"><thead><tr><th width="276.115478515625"></th><th></th></tr></thead><tbody><tr><td><strong>Concept</strong></td><td><strong>Comment</strong></td></tr><tr><td><a href="http://snomed.info/id/900000000000451002">900000000000451002 |Existential restriction modifier (core metadata concept)|</a></td><td>Indicates that description logic restriction represented by this defining relationship applies to <strong>some</strong> aspect of the concept.</td></tr><tr><td><a href="http://snomed.info/id/900000000000452009">900000000000452009 |Universal restriction modifier (core metadata concept)|</a></td><td><p>Indicates that description logic restriction represented by this defining relationship applies to <strong>all aspects</strong> of the concept.</p><p>This value is not used for any concepts.</p></td></tr></tbody></table>

***

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Release+File+Specification&#x26;entry.670899847=E.6%20Concept%20Enumerations%20for%20modifierId" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/appendices/appendix-e-concept-enumerations/e6-concept-enumerations-for-modifierid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
